SET QUOTED_IDENTIFIER OFF
IF OBJECT_ID('dbo.sp_var_ofcemb') IS NOT NULL
    DROP PROCEDURE dbo.sp_var_ofcemb
GO
CREATE PROCEDURE dbo.sp_var_ofcemb
(
    @pbi_calind bit,  
    @pch_compania char(4),  
    @pch_clase_nomina char(2),  
    @psi_id_cal smallint,  
    @pch_tipo_nomina char(2),  
    @psi_anio smallint,  
    @pti_periodo tinyint,  
    @pdt_fec_termino smalldatetime,  
    @pch_trabajador char(10),  
    @psi_concepto smallint,  
    @pch_referencia char(10),  
    @psi_secuencia smallint,   
    @chsub_var1 varchar(10),  
    @chsub_var2 varchar(10),  
    @mvar_value decimal(19,6) OUTPUT,   
    @chvar_value varchar(40) OUTPUT,  
    @id_sesion smallint
)
AS   
/*****************************************************************/  
/*** Modulo:      Módulo Fiscal Colombiano ADAM V.3 - Embargos ***/  
/*** Descripcion: Obtiene el código de oficina de destino      ***/  
/*** Autor:       Juan Carlos Leguizamón                       ***/  
/*** Fecha:       Octubre 13 de 2006                           ***/  
/*****************************************************************/  
BEGIN   
DECLARE   
    @vch_ofc_destino char(4),
    @vti_secuencia tinyint,
    @SQLString nVARCHAR(500),
    @ParmDefinition nVARCHAR(500),
    @chtable VARCHAR(40),
    @SQLString1 VARCHAR(500)
  
    IF @pti_periodo = 0  
        RETURN  
    
--    SELECT @chtable = table_name FROM table_actual WHERE id_sesion = @id_sesion

    SELECT    
        @vti_secuencia = factor_02    
    FROM    
        transacciones_ns    
    WHERE    
        compania = @pch_compania And    
        clase_nomina = @pch_clase_nomina And    
        id_calendario = @psi_id_cal And    
        concepto = @psi_concepto And    
        trabajador = @pch_trabajador And    
        referencia = @pch_referencia And    
        secuencia = @psi_secuencia     

/*
    SET @SQLString1 =   
    " SELECT @secuencia = factor_02 FROM " + @chtable + 
    " WHERE compania = '" + @pch_compania + "'" +
    " AND id_calendario = " + RTrim(@psi_id_cal) + 
    " AND trabajador = '" + @pch_trabajador + "'" +
    " AND concepto = " + RTrim(@psi_concepto) +  
    " AND clase_nomina  = '" + @pch_clase_nomina + "'" +
    " AND referencia = '" + @pch_referencia + "'" +
    " AND secuencia = " + RTRIM(@psi_secuencia)
    
    SET @ParmDefinition = '@secuencia tinyint OUTPUT'  
    EXECUTE sp_executesql @SQLString, @ParmDefinition, @vti_secuencia OUTPUT
*/    
    SELECT @vch_ofc_destino = oficina_destino
    FROM fdt_embargos
    WHERE compania = @pch_compania
      AND trabajador = @pch_trabajador
      AND concepto = @psi_concepto
      AND secuencia = @vti_secuencia
  
    SET @chvar_value = IsNull(@vch_ofc_destino,'')  
    RETURN  
END  
GO
GRANT EXECUTE ON dbo.sp_var_ofcemb TO PUBLIC
GO
